メインコンテンツへスキップ
POST
/
crm
/
v3
/
objects
/
emails
Create
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationTypeId": 123
        }
      ]
    }
  ],
  "properties": {}
}
'
import requests

url = "https://api.hubapi.com/crm/v3/objects/emails"

payload = {
    "associations": [
        {
            "to": { "id": "<string>" },
            "types": [{ "associationTypeId": 123 }]
        }
    ],
    "properties": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    associations: [{to: {id: '<string>'}, types: [{associationTypeId: 123}]}],
    properties: {}
  })
};

fetch('https://api.hubapi.com/crm/v3/objects/emails', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.

associations
object[]
必須
properties
object
必須

Key-value pairs for setting properties for the new object.

レスポンス

successful operation

A simple public object.

archived
boolean
必須

Whether the object is archived.

createdAt
string<date-time>
必須

The timestamp when the object was created, in ISO 8601 format.

id
string
必須

The unique ID of the object.

properties
object
必須

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
必須

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write request for the object.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

The URL associated with the object.

warnings
object[]
最終更新日 2026年4月10日